commit:     de4cf6b03d8f40a3e3c70d768a5aa730fe915170
Author:     Tomáš Mózes <hydrapolic <AT> gmail <DOT> com>
AuthorDate: Thu Jul  7 14:20:06 2022 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Fri Jul 15 08:38:10 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=de4cf6b0

app-admin/logstash-bin: bump to 7.17.5

Signed-off-by: Tomáš Mózes <hydrapolic <AT> gmail.com>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 app-admin/logstash-bin/Manifest                   |  2 +
 app-admin/logstash-bin/logstash-bin-7.17.5.ebuild | 88 +++++++++++++++++++++++
 2 files changed, 90 insertions(+)

diff --git a/app-admin/logstash-bin/Manifest b/app-admin/logstash-bin/Manifest
index 036295bcbc05..e3e2d37d6821 100644
--- a/app-admin/logstash-bin/Manifest
+++ b/app-admin/logstash-bin/Manifest
@@ -1,4 +1,6 @@
 DIST logstash-6.8.23.tar.gz 178007697 BLAKE2B 
d7ba85a141586b8ee6cf524b9ab39b6b9a0777df5357fb22f15770126023599d7b62eeafc55dc87e0ff401b5df8dab9084a9ea4ba98c850e2ee98d4988bf4ad2
 SHA512 
3ee0de55cca50c1ea5b8afbc618783c7e301ebdc570c34d590160468b0b7708afe83589669c08106ac006e64436903ccbb3b3322e2801332b921ea802a788d86
 DIST logstash-7.17.3-linux-x86_64.tar.gz 363469045 BLAKE2B 
9817a18b0112f6abe4b4da47908db0543feb981e963d5283e0b0133f9f722f155b84592b7529c74b03ec48307e6797732abb3204e2206c26751414597a676c60
 SHA512 
bea8a6e4a3f5974739061d3f15ac76b705a5326b43bfb4b488edfefb6bb25b5f36e8734713d536386b03b6d45acbf739a3c9381e61cda344557a2acb4bbb65c4
+DIST logstash-7.17.5-linux-x86_64.tar.gz 363609474 BLAKE2B 
b6f6065a997a7401ad6e14d5f1fd6b2a924cf734cab0b7e07444cb800420f3c7b2634cd0be693ce0cddce909f49675b00764fa05ca4f3c3ab75a72387fffd629
 SHA512 
6508b9ba1a6672fd560773d2282501f9d022bf67a75f2b046ec31219cc78cbf8d35040827838948c69458089a9b30fdf21cbb5c2cc3f67c0812662265e9518dc
 DIST logstash-oss-6.8.23.tar.gz 177876480 BLAKE2B 
d961c9073c1108b3a0e74ba763e0ce45b35a5767cd732e7ec756697c5f1526e01b23c0919acefa173b5410e9a4908920a24c1ce351dd7c09d998cb025ba05aef
 SHA512 
87488767c6239878c1383c1f28ca17e8f330c10298542627c0c44a0620976737a1acbca55b8db6b6917d8b8bcb988ec4d84b2a840a4ef6362909b7e230a0e0b6
 DIST logstash-oss-7.17.3-linux-x86_64.tar.gz 363264492 BLAKE2B 
11d8fde29d087fc6956731904bd113fab3d163e29bb302c29aa11ca1b77393e896332da3f6f939008d83b6035672b9e49ea609c734ae6fa7806eabfc968f7648
 SHA512 
5bc60cdb79b80a5c239c5cef375fb1336d1fa1595fa3556720cb86ee495cc48f9c57d19003de2b9c7717116069d487857c71bff1cc7a4c029841f702c831dc34
+DIST logstash-oss-7.17.5-linux-x86_64.tar.gz 363419923 BLAKE2B 
7423ca08f5821439059be89be46df2a3927722ee48a7fcb95b1015f0539526c6ad99a4e11e85e5d6ff2aa340ad5421d1ce9ac26043dd70b1b4ebeeba8c4eaab3
 SHA512 
d86cc76f52975128c6e9ccec6217a1f289b88048b19cc6c19f8247c614c056532b960f7e4a9f3c7b7a4ea81596e9ca3b7df19249811445273668403f18af5c74

diff --git a/app-admin/logstash-bin/logstash-bin-7.17.5.ebuild 
b/app-admin/logstash-bin/logstash-bin-7.17.5.ebuild
new file mode 100644
index 000000000000..ddceca40f83c
--- /dev/null
+++ b/app-admin/logstash-bin/logstash-bin-7.17.5.ebuild
@@ -0,0 +1,88 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit java-pkg-2
+
+MY_PN="${PN%-bin}"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="Tool for managing events and logs"
+HOMEPAGE="https://www.elastic.co/products/logstash";
+SRC_URI="x-pack? ( 
https://artifacts.elastic.co/downloads/${MY_PN}/${MY_P}-linux-x86_64.tar.gz )
+       !x-pack? ( 
https://artifacts.elastic.co/downloads/${MY_PN}/${MY_PN}-oss-${PV}-linux-x86_64.tar.gz
 )"
+
+# source: LICENSE.txt and NOTICE.txt
+LICENSE="Apache-2.0 MIT x-pack? ( Elastic )"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="x-pack"
+
+RESTRICT="strip"
+QA_PREBUILT="opt/logstash/vendor/jruby/lib/jni/*/libjffi*.so"
+
+RDEPEND="acct-group/logstash
+       acct-user/logstash
+       virtual/jre"
+
+S="${WORKDIR}/${MY_P}"
+
+src_prepare() {
+       default
+
+       local d
+       for d in aarch64-FreeBSD aarch64-Linux arm-Linux Darwin i386-Linux 
i386-SunOS \
+               i386-Windows mips64el-Linux ppc64-AIX ppc64le-Linux ppc64-Linux 
\
+               ppc-AIX s390x-Linux sparcv9-Linux sparcv9-SunOS 
x86_64-DragonFlyBSD \
+               x86_64-FreeBSD x86_64-OpenBSD x86_64-SunOS x86_64-Windows; do
+                       rm -r vendor/jruby/lib/jni/$d || die
+       done
+
+       # remove bundled java
+       rm -r jdk || die
+}
+
+src_install() {
+       keepdir /etc/"${MY_PN}"/{conf.d,patterns,plugins}
+       keepdir "/var/log/${MY_PN}"
+
+       insinto "/usr/share/${MY_PN}"
+       newins "${FILESDIR}/agent.conf.sample" agent.conf
+
+       rm -v config/{pipelines.yml,startup.options} || die
+       insinto /etc/${MY_PN}
+       doins -r config/.
+       doins "${FILESDIR}/pipelines.yml"
+       rm -rv config data || die
+
+       insinto "/opt/${MY_PN}"
+       doins -r .
+       fperms 0755 "/opt/${MY_PN}/bin/${MY_PN}" 
"/opt/${MY_PN}/vendor/jruby/bin/jruby" "/opt/${MY_PN}/bin/logstash-plugin"
+
+       newconfd "${FILESDIR}/${MY_PN}.confd-r2" "${MY_PN}"
+       newinitd "${FILESDIR}/${MY_PN}.initd-r2" "${MY_PN}"
+
+       insinto /usr/share/eselect/modules
+       doins "${FILESDIR}"/logstash-plugin.eselect
+}
+
+pkg_postinst() {
+       ewarn "Self installed plugins are removed during Logstash upgrades (Bug 
#622602)"
+       ewarn "Install the plugins via eselect module that will automatically 
re-install"
+       ewarn "all self installed plugins after Logstash upgrades."
+       elog
+       elog "Installing plugins:"
+       elog "eselect logstash-plugin install logstash-output-gelf"
+       elog
+
+       elog "Reinstalling self installed plugins (installed via eselect 
module):"
+       eselect logstash-plugin reinstall
+
+       elog
+       elog "Sample configuration:"
+       elog "${EROOT}/usr/share/${MY_PN}"
+       elog
+       elog "The default pipeline configuration expects the configuration(s) 
to be found in:"
+       elog "${EROOT}/etc/logstash/conf.d/*.conf"
+}

Reply via email to